### Method

# WebKitWebProcessExtension ConsoleMessage get_source_id

since: 2.12

#### Declaration [src]

    const gchar*
    webkit_console_message_get_source_id (
      WebKitConsoleMessage* console_message
    )

#### Description [src]

Gets the source identifier of a `WebKitConsoleMessage`.

Available since: 2.12

#### Return value

Type: `const gchar*`

The source identifier of `console_message`.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.